Package org.codehaus.groovy.tools.xml

# Class DomToGroovy

java.lang.Object
org.codehaus.groovy.tools.xml.DomToGroovy

    @Deprecated
    public class DomToGroovy
    extends Object

Deprecated.
A SAX handler for turning XML into Groovy scripts

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `inMixed` | Deprecated.
  `protected Collection<String>` | `keywords` | Deprecated.
  `protected IndentPrinter` | `out` | Deprecated.
  `protected String` | `qt` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DomToGroovy​(IndentPrinter out)` | Deprecated.
  `DomToGroovy​(PrintWriter out)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected boolean` | `checkEscaping​(String localName)` | Deprecated.
  `protected void` | `defineNamespace​(Map namespaces, String prefix, String uri)` | Deprecated.
  `protected Map` | `defineNamespaces​(Element element, Map namespaces)` | Deprecated.
  `protected String` | `escapeQuote​(String text)` | Deprecated.
  `protected String` | `getAttributeValue​(Attr attribute)` | Deprecated.
  `protected String` | `getLocalName​(Node node)` | Deprecated.
  `protected String` | `getTextNodeData​(Text node)` | Deprecated.
  `static void` | `main​(String[] args)` | Deprecated.
  `protected boolean` | `mixedContent​(NodeList list)` | Deprecated.
  `static Document` | `parse​(File file)` | Deprecated.
  `static Document` | `parse​(InputStream input)` | Deprecated.
  `static Document` | `parse​(Reader input)` | Deprecated.
  `protected static Document` | `parse​(String fileName)` | Deprecated.
  `protected void` | `print​(String text)` | Deprecated.
  `void` | `print​(Document document)` | Deprecated.
  `protected void` | `print​(Node node, Map namespaces, boolean endWithComma)` | Deprecated.
  `protected boolean` | `printAttributes​(Element element)` | Deprecated.
  `protected boolean` | `printAttributeWithoutPrefix​(Attr attribute, boolean hasAttribute)` | Deprecated.
  `protected void` | `printAttributeWithPrefix​(Attr attribute, StringBuffer buffer)` | Deprecated.
  `protected void` | `printChildren​(Node parent, Map namespaces)` | Deprecated.
  `protected void` | `printComment​(Comment comment, boolean endWithComma)` | Deprecated.
  `protected void` | `printElement​(Element element, Map namespaces, boolean endWithComma)` | Deprecated.
  `protected void` | `printEnd​(String text, boolean endWithComma)` | Deprecated.
  `protected void` | `printIndent()` | Deprecated.
  `protected void` | `println​(String text)` | Deprecated.
  `protected void` | `printPI​(ProcessingInstruction instruction, boolean endWithComma)` | Deprecated.
  `protected void` | `printQuoted​(String text)` | Deprecated.
  `protected void` | `printText​(Text node, boolean endWithComma)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### out

    protected IndentPrinter out
    Deprecated.

  - ### inMixed

    protected boolean inMixed
    Deprecated.

  - ### qt

    protected String qt
    Deprecated.

  - ### keywords

    protected Collection<String> keywords
    Deprecated.

- ## Constructor Details

  - ### DomToGroovy

    public DomToGroovy​(PrintWriter out)
    Deprecated.

  - ### DomToGroovy

    public DomToGroovy​(IndentPrinter out)
    Deprecated.

- ## Method Details

  - ### print

    public void print​(Document document)
    Deprecated.

  - ### main

    public static void main​(String[] args)
    Deprecated.

  - ### parse

    protected static Document parse​(String fileName) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### parse

    public static Document parse​(File file) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### parse

    public static Document parse​(Reader input) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### parse

    public static Document parse​(InputStream input) throws Exception
    Deprecated.
    Throws:
      `Exception`

  - ### print

    protected void print​(Node node, Map namespaces, boolean endWithComma)
    Deprecated.

  - ### printElement

    protected void printElement​(Element element, Map namespaces, boolean endWithComma)
    Deprecated.

  - ### printQuoted

    protected void printQuoted​(String text)
    Deprecated.

  - ### printPI

    protected void printPI​(ProcessingInstruction instruction, boolean endWithComma)
    Deprecated.

  - ### printComment

    protected void printComment​(Comment comment, boolean endWithComma)
    Deprecated.

  - ### printText

    protected void printText​(Text node, boolean endWithComma)
    Deprecated.

  - ### escapeQuote

    protected String escapeQuote​(String text)
    Deprecated.

  - ### defineNamespaces

    protected Map defineNamespaces​(Element element, Map namespaces)
    Deprecated.

  - ### defineNamespace

    protected void defineNamespace​(Map namespaces, String prefix, String uri)
    Deprecated.

  - ### printAttributes

    protected boolean printAttributes​(Element element)
    Deprecated.

  - ### printAttributeWithPrefix

    protected void printAttributeWithPrefix​(Attr attribute, StringBuffer buffer)
    Deprecated.

  - ### getAttributeValue

    protected String getAttributeValue​(Attr attribute)
    Deprecated.

  - ### printAttributeWithoutPrefix

    protected boolean printAttributeWithoutPrefix​(Attr attribute, boolean hasAttribute)
    Deprecated.

  - ### checkEscaping

    protected boolean checkEscaping​(String localName)
    Deprecated.

  - ### getTextNodeData

    protected String getTextNodeData​(Text node)
    Deprecated.

  - ### mixedContent

    protected boolean mixedContent​(NodeList list)
    Deprecated.

  - ### printChildren

    protected void printChildren​(Node parent, Map namespaces)
    Deprecated.

  - ### getLocalName

    protected String getLocalName​(Node node)
    Deprecated.

  - ### printEnd

    protected void printEnd​(String text, boolean endWithComma)
    Deprecated.

  - ### println

    protected void println​(String text)
    Deprecated.

  - ### print

    protected void print​(String text)
    Deprecated.

  - ### printIndent

    protected void printIndent()
    Deprecated.